<?php

require_once('../../../config.php');
require_once($CFG->libdir.'/fs_moodle/fs_status/lib.php');

$shirai     = optional_param('shirai',     0, PARAM_INT);
$ie_problem = optional_param('ie_problem', 0, PARAM_INT);
$debug      = optional_param('debug',      0, PARAM_INT);
$thirdparty = optional_param('thirdparty', 0, PARAM_INT);

if (!empty($shirai))            help_redirect('Shirai',     $shirai);
  else if (!empty($ie_problem)) help_redirect('IE_Problem', $ie_problem);
  else if (!empty($debug))      help_redirect('Debug',      $debug);
  else if (!empty($thirdparty)) help_redirect('3rdParty',   $thirdparty);

echo 'パラメータの指定が不正です．<br /><br />';
output_CloseWindowButton(true);
die;

function help_redirect($label, $num)
{
    global $fsCFG;
    if ($num < 0 || $num > 999) {
        echo 'パラメータの範囲が正しくありません（'.$num.'）．0から999の範囲で入力して下さい．<br /><br />';
    } else {
        $pagename = $label.str_pad($num, 3, '0', STR_PAD_LEFT);
        $helpurl = $fsCFG->officialWikiURI.'&page='.$pagename;
        redirect($helpurl);
    }
    output_CloseWindowButton(true);
    die;
}

?>